package com.myoa.engineering.crawl.shopping.dto.slack.v2;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.util.Map;

@ToString
@Getter
@NoArgsConstructor
@AllArgsConstructor
public class SlackEventSubscriptionDTO {

    private String token;
    private String challenge;
    private String type;

    @JsonProperty("team_id")
    private String teamId;

    @JsonProperty("api_app_id")
    private String apiAppId;

    private Map<String, Object> event;

    @JsonProperty("event_id")
    private String eventId;

    @JsonProperty("event_time")
    private long eventTime;

}
