package com.myoa.engineering.crawl.shopping.dto.feed.v1;

import com.myoa.engineering.crawl.shopping.support.dto.constant.CrawlTarget;
import lombok.*;

@Getter
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SubscribedKeywordDTO {

    private String userId;
    private CrawlTarget crawlTarget;
    private String keyword;


    public String toMessage() {
        return crawlTarget.getAlias() + " | " + keyword;
    }
}
